
QGIS Application - Feature request #7052

Composer navigation should be improved

2013-01-27 04:49 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 16139

Description

Hi !

I find it quite frustrating to navigate in the Composer, since it is very different than in the Map Canvas. So one can't rely on his reflexes,

which is a problem since it's the same software !

In my opinion, it should behave the same way as the main Map Canvas (aka middle-click panning and scrollwheel zooming).

It's only when hovering/clicking on a map composer with the "Move item content" that those events shouldnt navigate around the

composer.

And besides, the composer lacks a normal panning tool.

History

#1 - 2013-06-04 10:50 PM - Nyall Dawson

- Target version set to Future Release - High Priority

- Assignee set to Nyall Dawson

- Category set to Map Composer/Printing

#2 - 2015-09-29 06:01 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed since a while
